make prefix=/usr/local all中/usr/local分别是什么意思

make prefix=/usr/local all sudo make prefix=/usr/local install中/usr/local分别是什么意思,all??/usr/local??分别都是什么意思???什么意思呢

git

1个回答

usr local是表示你编译后程序安装的位置

suwu150
suwu150 噢噢噢,知道了,我试试,谢谢
大约 3 年之前 回复
oyljerry
oyljerry 你需要把这个git路径加到系统环境变量PATH中
大约 3 年之前 回复
suwu150
suwu150 回复oyljerry: 我把make prefix=/usr/local all sudo make prefix=/usr/local install中的/usr/local都换了,换成/home/git/之后,编译安装了,但是只能在git目录下使用git,其他地方提示没有安装???
大约 3 年之前 回复
oyljerry
oyljerry 要更改就需要重头再来,重新设置prefix,然后make install等
大约 3 年之前 回复
suwu150
suwu150 能不能在做更改,有没有联动改变的文件
3 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
安装git时出问题,我在安装目录里输入git有提示,但是打开其他终端显示git未安装
安装git时出问题,我在安装目录里输入git有提示,但是打开其他终端显示git未安装, 注意:我的系统是Ubuntu系统,我安装的是源码解压make编译安装,我更改了make prefix=/usr/local all中/usr/local的值,也就是改为make prefix=/home/suwu150/XXXXX all
阿里云服务器上安装git
下载解压完安装包执行 #3 编译 安装 make prefix=/usr/local/git all 总是报下边的错 LINK git-http-fetch /usr/bin/ld: cannot find -lcurl collect2: error: ld returned 1 exit status make: *** [git-http-fetch] Error 1 [root@izbp1aqyx7rkovd0g3x23gz git-2.3.0]# make prefix=/usr/local/git all LINK git-http-fetch /usr/bin/ld: cannot find -lcurl collect2: error: ld returned 1 exit status make: *** [git-http-fetch] Error 1 网上的乱七八糟的方法都试了还是不行
php编译make后找不到libpng
#./configure --prefix=/usr/local/webserver/php5613 --with-config-file-path=/usr/local/webserver/php5613/etc --with-apxs2=/usr/local/webserver/apache24/bin/apxs --with-mysql=/usr/local/webserver/mysql/ --with-libxml-dir=/usr/local/webserver/libxml2/ --with-png-dir=/usr/local/webserver/libpng/ --with-jpeg-dir=/usr/local/webserver/jpeg9/ --with-freetype-dir=/usr/local/webserver/freetype/ --with-gd=/usr/local/webserver/gd/ --with-zlib-dir=/usr/local/webserver/zlib/ --with-mcrypt=/usr/local/webserver/libmcrypt/ --with-mysqli=/usr/local/webserver/mysql/bin/mysql_config --with-xpm-dir=/usr/lib/ --enable-soap --enable-mbstring=all --enable-sockets #make 报下面错误: grep: /usr/local/webserver/lib/libpng16.la: No such file or directory /bin/sed: can't read /usr/local/webserver/lib/libpng16.la: No such file or directory libtool: link: `/usr/local/webserver/lib/libpng16.la' is not a valid libtool archive make: *** [libphp5.la] 错误 1
linux安装apache时出现error
步骤1:编译apache,./configure --prefix=/usr/local/apache2 --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util/。错误提示:没有apr。解决方法:下载了apr,然后./configure --prefix=/usr/local/apr,编译# make——make install。 步骤二:apr问题解决后编译apache提示没有par-unit,按照上面同样的方法下载并编译apr-unit,都是在/usr/local下,没有修改过目录。 步骤三:按照同样方法配置pcre,./configure --prefix=/usr/local/pcre——#make——#make install。 步骤四:本以为可以成功安装apache了,在命令行输入: ./configure --prefix=/usr/local/apache2 --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util/ --with-pcre=/usr/local/pcre 出现了错误提示: checking for pcre-config... false configure: error: Did not find pcre-config script at /usr/local/pcre。 我暂时没有金币了,希望大神能指点一二,谢谢。
centos7上用rpmbuild建立rpm安装包问题(急)
centos7.1 php-5.6.25 $ ls rpmbuild/ BUILD BUILDROOT RPMS SOURCES SPECS SRPMS $cat rpmbuild/SPECS/php.spec Name: php Version: 5.6.25 Release: 1%{?dist} Summary: compiled from 5.6.25 by Kevin Group: System Environment/Daemons License: GPL URL: https://secure.php.net Source0: php-5.6.25.tar.gz BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) BuildRequires: gcc, gcc-c++, openssl-devel Requires: wireshark-gnome %description php server. Compiled from 5.6.25 by Kevin %prep %setup -q %build ./configure '--with-libdir=lib64' '--prefix=/usr/local/php5.6' '--with-fpm-systemd' '--enable-fpm' '--enable-mbstring' '--with-mysql' '--with-mysqli' '--with-pdo-mysql' '--with-gd' '--enable-gd-native-ttf' '--with-freetype-dir' '--with-curl' '--with-openssl' '--with-mcrypt' '--enable-zip' '--enable-intl' make %{?_smp_mflags} %install rm -rf %{buildroot} make install DESTDIR=%{buildroot} %clean rm -rf %{buildroot} %files %defattr(-,root,root,-) %defattr(-,root,root,-) /usr/local/php5.6/bin/* /usr/local/php5.6/sbin/* /usr/local/php5.6/include/* /usr/local/php5.6/php/php/fpm/* /usr/local/php5.6/php/man/man1/* /usr/local/php5.6/php/man/man8/* /usr/local/php5.6/lib/php/* /usr/local/php5.6/lib/php/extensions/* /usr/local/php5.6/lib/php/extensions/no-debug-non-zts-20131226/* /usr/local/php5.6/lib/php/build/* /usr/local/php5.6/lib/php/build/shtool/* /usr/local/php5.6/lib/php/.registry/* /usr/local/php5.6/lib/php/.channels/* /usr/local/php5.6/lib/php/Archive/* /usr/local/php5.6/lib/php/doc/* /usr/local/php5.6/lib/php/doc/Archive_Tar/* /usr/local/php5.6/lib/php/doc/Archive_Tar/docs/* /usr/local/php5.6/lib/php/doc/Structures_Graph/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/tutorials/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/tutorials/Structures_Graph/* /usr/local/php5.6/lib/php/doc/Structures_Graph/LICENSE/* /usr/local/php5.6/lib/php/doc/XML_Util/* /usr/local/php5.6/lib/php/doc/XML_Util/examples/* /usr/local/php5.6/lib/php/doc/PEAR/* /usr/local/php5.6/lib/php/doc/PEAR/LICENSE/* /usr/local/php5.6/lib/php/doc/PEAR/INSTALL/* /usr/local/php5.6/lib/php/Console/* /usr/local/php5.6/lib/php/test/* /usr/local/php5.6/lib/php/test/Console_Getopt/* /usr/local/php5.6/lib/php/test/Console_Getopt/tests/* /usr/local/php5.6/lib/php/test/Structures_Graph/* /usr/local/php5.6/lib/php/test/Structures_Graph/tests/* /usr/local/php5.6/lib/php/test/XML_Util/* /usr/local/php5.6/lib/php/test/XML_Util/tests/* /usr/local/php5.6/lib/php/Structures/* /usr/local/php5.6/lib/php/Structures/Graph/* /usr/local/php5.6/lib/php/Structures/Graph/Manipulator/* /usr/local/php5.6/lib/php/XML/* /usr/local/php5.6/lib/php/OS/* /usr/local/php5.6/lib/php/PEAR/* /usr/local/php5.6/lib/php/PEAR/ChannelFile/* /usr/local/php5.6/lib/php/PEAR/Command/* /usr/local/php5.6/lib/php/PEAR/Downloader/* /usr/local/php5.6/lib/php/PEAR/Frontend/* /usr/local/php5.6/lib/php/PEAR/Installer/* /usr/local/php5.6/lib/php/PEAR/Installer/Role/* /usr/local/php5.6/lib/php/PEAR/PackageFile/* /usr/local/php5.6/lib/php/PEAR/PackageFile/Generator/* /usr/local/php5.6/lib/php/PEAR/PackageFile/Parser/* /usr/local/php5.6/lib/php/PEAR/PackageFile/v2/* /usr/local/php5.6/lib/php/PEAR/REST/* /usr/local/php5.6/lib/php/PEAR/Task/* /usr/local/php5.6/lib/php/PEAR/Task/Postinstallscript/* /usr/local/php5.6/lib/php/PEAR/Task/Replace/* /usr/local/php5.6/lib/php/PEAR/Task/Unixeol/* /usr/local/php5.6/lib/php/PEAR/Task/Windowseol/* /usr/local/php5.6/lib/php/PEAR/Validator/* /usr/local/php5.6/lib/php/data/* /usr/local/php5.6/lib/php/data/PEAR/* %config /usr/local/php5.6/etc/* /usr/local/php5.6/var/run/* /usr/local/php5.6/lib/* %dir /usr/local/php5.6/var/log/ %post cp /usr/local/php5.6/etc/php-fpm.conf.default /usr/local/php5.6/etc/php-fpm.conf ln -s /usr/local/php5.6/bin/php /usr/bin/php %changelog * Tue Aug 30 2016 Kevin<kevin_liao@163.com> 5.6.25 - first rpm from php-5.6.25 然后用一个user用户为centos,没在root下执行 $ rpmbuild -ba rpmbuild/SPECS/php.spec 最后报错 Build complete. Don't forget to run 'make test'. + exit 0 Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.QjJHDq + umask 022 + cd /home/centos/rpmbuild/BUILD + '[' /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 '!=' / ']' + rm -rf /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 ++ dirname /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + mkdir -p /home/centos/rpmbuild/BUILDROOT + mkdir /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + cd php-5.6.25 + rm -rf /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + make install DESTDIR=/home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 Installing shared extensions: /usr/local/php5.6/lib/php/extensions/no-debug-non-zts-20131226/ Installing PHP CLI binary: /usr/local/php5.6/bin/ Installing PHP CLI man page: /usr/local/php5.6/php/man/man1/ Installing PHP FPM binary: /usr/local/php5.6/sbin/ Installing PHP FPM config: /usr/local/php5.6/etc/ Installing PHP FPM man page: /usr/local/php5.6/php/man/man8/ Installing PHP FPM status page: /usr/local/php5.6/php/php/fpm/ Installing PHP CGI binary: /usr/local/php5.6/bin/ Installing PHP CGI man page: /usr/local/php5.6/php/man/man1/ Installing build environment: /usr/local/php5.6/lib/php/build/ Installing header files: /usr/local/php5.6/include/php/ Installing helper programs: /usr/local/php5.6/bin/ program: phpize program: php-config Installing man pages: /usr/local/php5.6/php/man/man1/ page: phpize.1 page: php-config.1 Installing PEAR environment: /usr/local/php5.6/lib/php/ [PEAR] Archive_Tar - already installed: 1.4.0 [PEAR] Console_Getopt - already installed: 1.4.1 [PEAR] Structures_Graph- already installed: 1.1.1 [PEAR] XML_Util - already installed: 1.3.0 [PEAR] PEAR - already installed: 1.10.1 Wrote PEAR system config file at: /usr/local/php5.6/etc/pear.conf You may want to add: /usr/local/php5.6/lib/php to your php.ini include_path /home/centos/rpmbuild/BUILD/php-5.6.25/build/shtool install -c ext/phar/phar.phar /usr/local/php5.6/bin ln -s -f phar.phar /usr/local/php5.6/bin/phar Installing PDO headers: /usr/local/php5.6/include/php/ext/pdo/ + /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/centos/rpmbuild/BUILD/php-5.6.25 find: '/home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64': No such file or directory error: Bad exit status from /var/tmp/rpm-tmp.QjJHDq (%install) RPM build errors: Bad exit status from /var/tmp/rpm-tmp.QjJHDq (%install)
Nginx整合nginx-gridfs时,编译出错,请帮忙看看,谢谢。
``` ./configure --prefix=/usr/local/nginx-1.8.0 --with-http_ssl_module --with-pcre=/usr/local/nginx_install/pcre-8.32 --with-zlib=/usr/local/nginx_install/zlib-1.2.7 --with-openssl=/usr/local/nginx_install/openssl-1.0.2c --add-module=/usr/local/nginx_install/nginx-gridfs ``` make之后会出现一个错误: ``` objs/ngx_modules.o:(.data+0x120):对‘ngx_http_gridfs_module’未定义的引用 collect2: 错误:ld 返回 1 make[1]: *** [objs/nginx] 错误 1 make[1]: 离开目录“/usr/local/nginx_install/nginx-1.8.0” make: *** [build] 错误 2 ``` 老是报错“ngx_http_gridfs_module’未定义的引用”,遇到这种问题请有经验的大神帮忙解决下,谢谢。
QT5 交叉编译 配置configure出错
+ cd qtbase + /opt/qt-everywhere-opensource-src-5.4.1/qtbase/configure -top-level -v -prefix /opt/qt-everywhere-opensource-src-5.4.1/_install -opensource -confirm-license -release -make libs -xplatform linux-arm-gnueabi-g++ -optimized-qmake -pch -qt-sql-sqlite -qt-libjpeg -qt-zlib -no-opengl -no-sse2 -no-openssl -no-nis -no-cups -no-glib -no-xcursor -no-xfixes -no-xrandr -no-xrender -no-separate-debug-info -nomake examples -nomake tools -nomake tests This is the Qt Open Source Edition. You are licensed to use this software under the terms of the Lesser GNU General Public License (LGPL) versions 2.1. You are also licensed to use this software under the terms of the GNU Lesser General Public License (LGPL) versions 3. You have already accepted the terms of the Open Source license. arm-none-linux-gnueabi-g++ -c -fvisibility=hidden fvisibility.c Symbol visibility control enabled. arm-none-linux-gnueabi-g++ -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c bsymbolic_functions.c:2:2: error: #error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)." Symbolic function binding disabled. DEFAULT_INCDIRS="/usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/include/c++/4.5.2 /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/include/c++/4.5.2/arm-none-linux-gnueabi /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/include/c++/4.5.2/backward /usr/local/arm/arm-2011.03/lib/gcc/arm-none-linux-gnueabi/4.5.2/include /usr/local/arm/arm-2011.03/lib/gcc/arm-none-linux-gnueabi/4.5.2/include-fixed /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/include /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/libc/usr/include " DEFAULT_LIBDIRS="/usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/libc/lib /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/libc/usr/lib /usr/local/arm/arm-2011.03/lib/gcc/arm-none-linux-gnueabi/4.5.2 /usr/local/arm/arm-2011.03/lib/gcc /usr/local/arm/arm-2011.03/arm-none-linux-gnueabi/lib " Creating qmake... gmake: Nothing to be done for `first'. Running configuration tests... Failed to process makespec for platform 'linux-arm-gnueabi-g++' /opt/qt-everywhere-opensource-src-5.4.1/qtbase/configure: line 3869: /opt/qt-everywhere-opensource-src-5.4.1/qtbase/bin/qmake: cannot execute binary file
编译安装apache遇到问题
Making all in support make[1]: Entering directory `/root/httpd-2.4.29/support' make[2]: Entering directory `/root/httpd-2.4.29/support' /usr/local/apr/build-1/libtool --silent --mode=compile gcc -std=gnu99 -g -O2 -pthread -DLINUX -D_REENTRANT -D_GNU_SOURCE -I. -I/root/httpd-2.4.29/os/unix -I/root/httpd-2.4.29/include -I/usr/local/apr/include/apr-1 -I/usr/local/apr-util/include/apr-1 -I/root/httpd-2.4.29/modules/aaa -I/root/httpd-2.4.29/modules/cache -I/root/httpd-2.4.29/modules/core -I/root/httpd-2.4.29/modules/database -I/root/httpd-2.4.29/modules/filters -I/root/httpd-2.4.29/modules/ldap -I/root/httpd-2.4.29/modules/loggers -I/root/httpd-2.4.29/modules/lua -I/root/httpd-2.4.29/modules/proxy -I/root/httpd-2.4.29/modules/session -I/root/httpd-2.4.29/modules/ssl -I/root/httpd-2.4.29/modules/test -I/root/httpd-2.4.29/server -I/root/httpd-2.4.29/modules/arch/unix -I/root/httpd-2.4.29/modules/dav/main -I/root/httpd-2.4.29/modules/generators -I/root/httpd-2.4.29/modules/mappers -prefer-non-pic -static -c htpasswd.c && touch htpasswd.lo /usr/local/apr/build-1/libtool --silent --mode=compile gcc -std=gnu99 -g -O2 -pthread -DLINUX -D_REENTRANT -D_GNU_SOURCE -I. -I/root/httpd-2.4.29/os/unix -I/root/httpd-2.4.29/include -I/usr/local/apr/include/apr-1 -I/usr/local/apr-util/include/apr-1 -I/root/httpd-2.4.29/modules/aaa -I/root/httpd-2.4.29/modules/cache -I/root/httpd-2.4.29/modules/core -I/root/httpd-2.4.29/modules/database -I/root/httpd-2.4.29/modules/filters -I/root/httpd-2.4.29/modules/ldap -I/root/httpd-2.4.29/modules/loggers -I/root/httpd-2.4.29/modules/lua -I/root/httpd-2.4.29/modules/proxy -I/root/httpd-2.4.29/modules/session -I/root/httpd-2.4.29/modules/ssl -I/root/httpd-2.4.29/modules/test -I/root/httpd-2.4.29/server -I/root/httpd-2.4.29/modules/arch/unix -I/root/httpd-2.4.29/modules/dav/main -I/root/httpd-2.4.29/modules/generators -I/root/httpd-2.4.29/modules/mappers -prefer-non-pic -static -c passwd_common.c && touch passwd_common.lo /usr/local/apr/build-1/libtool --silent --mode=link gcc -std=gnu99 -g -O2 -pthread -o htpasswd htpasswd.lo passwd_common.lo /usr/local/apr-util/lib/libaprutil-1.la /usr/local/apr/lib/libapr-1.la -lrt -lcrypt -lpthread -ldl -lcrypt /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_GetErrorCode' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_SetEntityDeclHandler' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_ParserCreate' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_SetCharacterDataHandler' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_ParserFree' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_SetUserData' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_StopParser' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_Parse' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_ErrorString' /usr/local/apr-util/lib/libaprutil-1.so: undefined reference to `XML_SetElementHandler' collect2: error: ld returned 1 exit status make[2]: *** [htpasswd] Error 1 make[2]: Leaving directory `/root/httpd-2.4.29/support' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/root/httpd-2.4.29/support' make: *** [all-recursive] Error 1 [root@bogon httpd-2.4.29]# ./configure --prefix=/usr/local/apache2 --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util --with-pcre=/usr/local/pcre --enable-so --enable-rewrite --libdir=/usr/lib64^C [root@bogon httpd-2.4.29]# ll /usr/lib/libm libm-2.17.so libmemusage.so libm.so.6 [root@bogon httpd-2.4.29]# ll /usr/lib/libelf libelf-0.168.so libelf.so.1 [root@bogon httpd-2.4.29]# ll /usr/lib/libelf libelf-0.168.so libelf.so.1 ----------------以上为make后的信息------------- 安装根据http://blog.csdn.net/bizu005/article/details/78339380?locationNum=4&fps=1教程进行操作 环境如下:Centos7.4 编译安装的apache版本为2.4.29 已执行过的操作: 1.安装依赖包yum install gcc gcc-c++ gcc-g77 flex bison autoconf automake bzip2-devel zlib-devel ncurses-devel libjpeg-devel libpng-devel libtiff-devel freetype-devel pam-devel openssl-devel libxml2-devel 2.添加配置 --libdir=/usr/lib64 3.根据http://www.ti6.net/wangzhanjishu/1587.html所示,但是并未在mv /usr/lib/路径下 找到 libm.a,libm.so,libexpat.so只有一下文件libm-2.17.so libmemusage.so libm.so.6 ![图片说明](https://img-ask.csdn.net/upload/201801/23/1516697165_357009.png)
Shell的自動安裝httpd-2.4.41腳本失敗
目標 : 下载httpd-2.4.41版本,下载URL,解压,进入安装目录,configure;make ;make install 難點 : 無法執行cd $H_FILES_DIR 報錯訊息 : httpd-2.4.41/srclib/Makefile.in test.sh: line 11: ./configure: No such file or directory “/033[32mThe Server Install Failed, please check… 033[0” [root@localhost ~]# ls anaconda-ks.cfg httpd-2.4.41 httpd-2.4.41.tar.bz2 test.sh 腳本編碼 : #!/bin/bash #auto make install LAMP #by authors wugk 2014 #Httpd define path variable H_FILES=httpd-2.4.41.tar.bz2 H_FILES_DIR= httpd-2.4.41 H_URL=http://mirrors.cnnic.cn/apache/httpd H_PREFIX=/usr/local/apache2/ yum install -y wget && wget -c $H_URL/$H_FILES && yum -y install bzip2 && tar -jxvf $H_FILES && cd $H_FILES_DIR ; ./configure --prefix=$H_PREFIX if [ $? -eq 0 ] ;then make &&make install echo -e “/033[32mThe $H_FILES_DIR Server Install Successfully!\033[0” else echo -e “/033[32mThe $H_FILES_DIR Server Install Failed, please check… \033[0” exit fi
centos7下安装nginx出错,求助大神
``` objs/ngx_modules.o \ -ldl -lpthread -lcrypt -lpcre -lcrypto -lcrypto -lz \ -Wl,-E sed -e "s|%%PREFIX%%|/usr/local/nginx|" \ -e "s|%%PID_PATH%%|/usr/local/nginx/logs/nginx.pid|" \ -e "s|%%CONF_PATH%%|/usr/local/nginx/conf/nginx.conf|" \ -e "s|%%ERROR_LOG_PATH%%|/usr/local/nginx/logs/error.log|" \ < man/nginx.8 > objs/nginx.8 make[1]: Leaving directory `/root/nginx-1.10.3' ```
python2.7.5以ucs4编译
为什么用这些命令编译安装的还是ucs-2编码方式呢? ./configure --prefix=/usr/local/python27 --enable-shared -enable-unicode=ucs4 make && make install
编译GCC,建立mcore的编译器
因为芯片跟mcore比较类似,所以要用这个试试,可是这编译器就搞不定了。 GCC安装的依赖包:gmp-5.0.1 mpfr-3.1.3 mpc-1.0.1 configure参数: $ ../configure --prefix=/home/xxxx/mcore-linux-gcc \ --with-gmp=/usr/local/gmp-5.0.1 \ --with-mpfr=/usr/local/mpfr-3.1.3 \ --with-mpc=/usr/local/mpc-1.0.1 \ --program-suffix=-mcore \ --enable-checking=release \ --enable-languages=c \ --target=mcore-unknown-linux-gnu 然后make all-gcc出错了 checking if mkdir takes one argument... no Configuration mcore-unknown-linux-gnu not supported 这是为什么?谁做过Mcore的编译器啊?
Ubuntu下Nginx 安装rtmp模块失败
将nginx和nginx-rtmp-module 一起安装的。 系统使用的是ubuntu 16.04 nginx和rtmp都是从github上下载的。pcre openssl 等也都安装了, 然后在nginx文件夹下执行 ./configure --prefix=/usr/local/nginx --add-module=/usr/local/nginx-rtmp-module --with-http_ssl_module --with-http_flv_module --with-http_MP4_module && make && make install 在make时报错。报错截图如下:请大神帮忙看看 ![图片说明](https://img-ask.csdn.net/upload/201804/28/1524895835_842796.jpg)
php-5.3.6 交叉编译 发生错误configure: error: ZLIB extension requires zlib >= 1.0.9
安装zlib-1.2.7 ``` #cd /zlib-1.2.7 # CC=arm-linux-gcc ./configure --prefix=~/libz --enable-shared # make # make install ``` 然后编译php ``` # CC=arm-linux-gcc ./configure --host=arm-linux --prefix=/usr/local/php --enable-pdo --with-zlib --with-libxml --with-gd --with-freetype --with-jpeg --with-png --enable-mbstring --with-mysql=/usr/local/mysql/ --with-mysqli=/usr/local/mysql/bin/mysql_config --enable-gd-native-ttf --with-gettext=/usr/local/gettext/ --enable-magic-quotes--enable-sockets --with-zlib -dir=~/libz --without-iconv ``` 错误:checking if the location of ZLIB install directory is defined... ~/libz checking for gzgets in -lz... no configure: error: ZLIB extension requires zlib >= 1.0.9 ![图片说明](https://img-ask.csdn.net/upload/201904/05/1554399752_988406.png) 跪求解决办法!
centos7安装PHP5.6.20失败,请帮助!
configure成功,make的时候失败: /bin/ld: ext/openssl/.libs/openssl.o: undefined reference to symbol 'X509_PURPOSE_get_count@@libcrypto.so.10' /bin/ld: note: 'X509_PURPOSE_get_count@@libcrypto.so.10' is defined in DSO /usr/lib64/libcrypto.so.10 so try adding it to the linker command line /usr/lib64/libcrypto.so.10: could not read symbols: Invalid operation collect2: error: ld returned 1 exit status make: *** [sapi/cli/php] Error 1 configure参数: ./configure --prefix=/usr/local/php --with-config-file-path=/usr/local/php/etc --enable-fpm --with-fpm-user=php-fpm --with-fpm-group=php-fpm --with-mysql=mysqlnd --with-mysql-sock=/tmp/mysql.sock --with-libxml-dir --with-gd --with-jpeg-dir --with-png-dir --with-freetype-dir --with-iconv-dir --with-zlib-dir --with-mcrypt --enable-soap --enable-gd-native-ttf --enable-ftp --enable-mbstring --enable-exif --disable-ipv6 --with-pear --with-curl --enable-pdo --with-pdo-mysql=/usr/local/mysql --with-openssl 哪位遇到过这种问题?
如何安装编译pdf2htmlex实现pdf到html的格式转换功能
最近要实现一个pdf转HTML的功能,找来找去好像pdf2htmlEX最符合要求,但是Windows上不知道怎么安装,网上资料也很少,就试着在ubantu上搞搞,虽然这个我更不熟悉,完全陌生的操作系统,但是它教程比较多啊orz... 下载pdf2htmlEX后直接运行安装 错误信息: -- Checking for module 'poppler>=0.25.0' -- CMake Error at /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:367 (message): A required package was not found Call Stack (most recent call first): /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:532 (_pkg_check_modules_internal) CMakeLists.txt:22 (pkg_check_modules) -- Configuring incomplete, errors occurred! See also "/home/f03012/pdf2htmlEX/CMakeFiles/CMakeOutput.log". 经过查找资料发现下错了poppler包, 然后我就去重新下载poppler,并配置 ./configure --prefix=/usr \ --sysconfdir=/etc \ --disable-static \ --enable-build-type=release \ --enable-cmyk \ --enable-xpdf-headers \ --with-testdatadir=$PWD/testfiles && make 报错提示需要先安装libopenjpeg checking for LIBOPENJPEG... no checking for LIBOPENJPEG... no checking for opj_cio_open in -lopenjpeg... no checking openjpeg.h usability... no checking openjpeg.h presence... no checking for openjpeg.h... no configure: error: Install libopenjpeg2 or libopenjpeg1 before trying to build poppler. You can also decide to use the internal unmaintained JPX decoder or none at all. See --help. 继续下载安装 CMake Warning (dev) at cmake/TestLargeFiles.cmake:20 (if): Policy CMP0054 is not set: Only interpret if() arguments as variables or keywords when unquoted. Run "cmake --help-policy CMP0054" for policy details. Use the cmake_policy command to set the policy and suppress this warning. Quoted variables like "OPJ_HAVE_LARGEFILES" will no longer be dereferenced when the policy is set to NEW. Since the policy is not set the OLD behavior will be used. Call Stack (most recent call first): CMakeLists.txt:218 (OPJ_TEST_LARGE_FILES) This warning is for project developers. Use -Wno-dev to suppress it. -- Could NOT find ZLIB (missing: ZLIB_LIBRARY ZLIB_INCLUDE_DIR) -- Z lib not found, activate BUILD_THIRDPARTY if you want build it (necessary to build libPNG) -- Could NOT find TIFF (missing: TIFF_LIBRARY TIFF_INCLUDE_DIR) -- TIFF lib not found, activate BUILD_THIRDPARTY if you want build it -- Could NOT find LCMS2 (missing: LCMS2_LIBRARY LCMS2_INCLUDE_DIR) -- Could NOT find LCMS (missing: LCMS_LIBRARY LCMS_INCLUDE_DIR) -- LCMS2 or LCMS lib not found, activate BUILD_THIRDPARTY if you want build it -- Configuring done -- Generating done -- Build files have been written to: /home/f03012/下载/openjpeg-2.1.0 [ 5%] Built target t1_generate_luts [ 55%] Built target openjp2 [ 70%] Built target opj_compress [ 85%] Built target opj_dump [100%] Built target opj_decompress [ 5%] Built target t1_generate_luts [ 55%] Built target openjp2 [ 70%] Built target opj_compress [ 85%] Built target opj_dump [100%] Built target opj_decompress Install the project... -- Install configuration: "" -- Up-to-date: /usr/local/lib/openjpeg-2.1/OpenJPEGTargets.cmake -- Installing: /usr/local/lib/openjpeg-2.1/OpenJPEGTargets-noconfig.cmake -- Up-to-date: /usr/local/lib/openjpeg-2.1/OpenJPEGConfig.cmake -- Up-to-date: /usr/local/lib/pkgconfig/libopenjp2.pc -- Up-to-date: /usr/local/include/openjpeg-2.1/opj_config.h -- Up-to-date: /usr/local/lib/libopenjp2.so.2.1.0 -- Up-to-date: /usr/local/lib/libopenjp2.so.7 -- Up-to-date: /usr/local/lib/libopenjp2.so -- Up-to-date: /usr/local/include/openjpeg-2.1/openjpeg.h -- Up-to-date: /usr/local/include/openjpeg-2.1/opj_stdint.h -- Up-to-date: /usr/local/bin/opj_decompress -- Up-to-date: /usr/local/bin/opj_compress -- Up-to-date: /usr/local/bin/opj_dump 看不出来是否安装成功...试着继续配置了一下poppler,错误信息改变了 configure: WARNING: libjpeg not found. disable JPEG support. checking libjpeg.h works correctly... no checking libjpeg.h problem can be fixed by XMD_H macro... no, disable libjpeg configure: error: Install libjpeg before trying to build poppler. You can also decide to use the internal unmaintained DCT decoder or none at all. See --help. 这我就不知道该怎么办了,求帮助!!! ps:软件源我换了阿里云的源,但是还是好多下不了,导致我都得去网上下载包下来解压安装,也不知道安装方式对不对,真的不懂这个系统,我的安装方式:解压压缩包,在文件目录执行cmake . && make && make install 或者有没有大神知道Windows下的安装方法的教教我!Windows下我下了源码,但是那个exe文件执行不了
Linux 下openssl交叉编译出错
make时出错: 报错内容:cc1: warning: include location "/usr/include" is unsafe for cross-compilation [-Wpoison-system-directories] In file included from cryptlib.h:62:0, from cryptlib.c:117: /usr/include/stdlib.h:759:34: fatal error: bits/stdlib-bsearch.h: No such file or directory compilation terminated. make[1]: *** [cryptlib.o] Error 1 make: *** [build_crypto] Error 1 具体编译安装过程如下: 安装文件: openssl-1.0.2h.tar.gz 参考网址: http://blog.csdn.net/zy799894671/article/details/22289039 1、 arm-config.sh : ./config no-asm shared --prefix=/usr/local/arm-openssl 解决1:./config no-asm shared --prefix=/usr/local/arm-openssl --host=arm-xilinx-linux-gnueabi 解决4:CC=arm-xilinx-linux-gnueabi-gcc ./config no-asm shared --prefix=/usr/local/arm-openssl 2、修改MakeFile: #CC= gcc CC= arm-xilinx-linux-gnueabi-gcc #CFLAG= -fPIC -DOPENSSL_PIC -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -march=pentium -DL_ENDIAN -O3 -fomit-frame-pointer -Wall CFLAG= -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DOPENSSL_N -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall DEPFLAG= -DOPENSSL_NO_EC_NISTP_64_GCC_128 -DOPENSSL_NO_GMP -DOPENSSL_NO_JPAKE -DOPENSSL_NO_LIBUNBOUND -DOPENSSL_NO_MD2 -DOPENSSL_NO_RC5 -DOPENSSL_NO_RFC3779 -DOPENSSL_NO_SCTP -DOPENSSL_NO_SSL_TRACE -DOPENSSL_NO_SSL2 -DOPENSSL_NO_STORE -DOPENSSL_NO_UNIT_TEST -DOPENSSL_NO_WEAK_SSL_CIPHERS PEX_LIBS= EX_LIBS= -ldl EXE_EXT= ARFLAGS= #AR= ar $(ARFLAGS) r AR= arm-xilinx-linux-gnueabi-ar $(ARFLAGS) r #RANLIB= /usr/bin/ranlib RANLIB= arm-xilinx-linux-gnueabi-ranlib #NM= nm NM= arm-xilinx-linux-gnueabi-nm PERL= /usr/bin/perl TAR= tar TARFLAGS= --no-recursion #MAKEDEPPROG= gcc MAKEDEPPROG= arm-xilinx-linux-gnueabi-gcc LIBDIR=lib make depend后出现错误: cc1: error: include location "/usr/include" is unsafe for cross-compilation [-Werror=poison-system-directories] cc1: all warnings being treated as errors 错误分析原因: 这种错误在网上有两种可能: 1、不能交叉编译到默认目录下,需要编译到单独的文件夹中(之前已经那么做了) 2、依赖库需要先交叉编译,这里错误目录是"/usr/include" 故也不是这个问题。 错误解决尝试1: 将配置后增加--host=arm-xilinx-linux-gnueabi ,详看1点 然后修改 makefile 错误不变 错误解决尝试2: 1步骤后 增加一步 # ./config -t 错误不变 错误尝试解决3 2步骤 多修改Makefile文件一处 #PLATFORM=linux-elf PLATFORM=arm-xilinx-linux-gnueabi 错误不变 错误尝试解决4 1步骤 将arm-config.sh前增加为:CC=arm-xilinx-linux-gnueabi-gcc 错误不变 错误尝试解决5 增加arm的环境变量 export ARCH=arm export CROSS_COMPILE=arm-xilinx-linux-gnueabi- 错误不变
自己基于yocto 生成觉得QT开发环境重新移植QT5.5.1时报错,请问什么原因
+ cd qtbase + /home/keyto/QT/qt-everywhere-opensource-src-5.5.1/qtbase/configure -top-level -v -release -prefix /opt/qt5.5.1 -opensource -confirm-license -no-c++11 -no-pch -no-xcb -no-openssl -no-opengl -opengl es2 -dbus -qt-zlib -no-sse2 -no-iconv -tslib -make libs -device imx6 -device-option CROSS_COMPILE=/opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi- -sysroot /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi -no-gcc-sysroot -I /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/include -L /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/lib -make examples -nomake tools -nomake tests This is the Qt Open Source Edition. You are licensed to use this software under the terms of the Lesser GNU General Public License (LGPL) versions 2.1. You are also licensed to use this software under the terms of the GNU Lesser General Public License (LGPL) versions 3. You have already accepted the terms of the Open Source license. /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-g++ -c -fvisibility=hidden fvisibility.c Symbol visibility control enabled. /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crt1.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crti.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtbegin.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lstdc++ /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lm /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtend.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtn.o: No such file or directory collect2: error: ld returned 1 exit status /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crt1.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crti.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtbegin.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lstdc++ /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lm /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtend.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtn.o: No such file or directory collect2: error: ld returned 1 exit status /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-g++ -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c bsymbolic_functions.c:2:2: error: #error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)." #error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)." ^ Symbolic function binding disabled. DEFAULT_INCDIRS="/usr/include /usr/local/include" DEFAULT_LIBDIRS="/lib /usr/lib" Creating qmake... arm-poky-linux-gnueabi-g++ -march=armv7-a -mfloat-abi=hard -mfpu=neon -mtune=cortex-a9 --sysroot=/opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi -o "../bin/qmake" project.o option.o property.o main.o ioutils.o proitems.o qmakevfs.o qmakeglobals.o qmakeparser.o qmakeevaluator.o qmakebuiltins.o makefile.o unixmake2.o unixmake.o mingw_make.o winmakefile.o projectgenerator.o meta.o makefiledeps.o metamakefile.o xmloutput.o pbuilder_pbx.o msvc_vcproj.o msvc_vcxproj.o msvc_nmake.o msvc_objectmodel.o msbuild_objectmodel.o cesdkhandler.o qtextcodec.o qutfcodec.o qstring.o qstring_compat.o qstringbuilder.o qtextstream.o qiodevice.o qdebug.o qmalloc.o qglobal.o qarraydata.o qbytearray.o qbytearraymatcher.o qdatastream.o qbuffer.o qlist.o qfiledevice.o qfile.o qfilesystementry.o qfilesystemengine.o qfsfileengine.o qfsfileengine_iterator.o qregexp.o qvector.o qbitarray.o qdir.o qdiriterator.o quuid.o qhash.o qfileinfo.o qdatetime.o qstringlist.o qabstractfileengine.o qtemporaryfile.o qmap.o qmetatype.o qsettings.o qsystemerror.o qlibraryinfo.o qvariant.o qvsnprintf.o qlocale.o qlocale_tools.o qlinkedlist.o qnumeric.o qcryptographichash.o qxmlstream.o qxmlutils.o qlogging.o qjson.o qjsondocument.o qjsonparser.o qjsonarray.o qjsonobject.o qjsonvalue.o qfilesystemengine_unix.o qfilesystemiterator_unix.o qfsfileengine_unix.o qlocale_unix.o -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--gc-sections project.o: file not recognized: File format not recognized collect2: error: ld returned 1 exit status make: *** [../bin/qmake] Error 1
ubuntu 利用virtualenv 搭建多python环境出错
最近在网上看到一个博客http://blog.chinaunix.net/uid-15174104-id-4020426.html,貌似挺不错的,就自己试试搭建一下比较干净的ubuntu多python环境,结果刚开始就崩了,查了很多的资料还是没有解决,这里求大神解答 我在ubuntu下装了一个ubuntu-12.04.3,打算试试您的python环境搭建,但是中间遇到了点问题 我手动安装的python3.3.3,官网下载的,解压到/opt下面,然后是 sudo ./config sudo make sudo make install 然后在/usr/local/bin下面添加了符号链接python3.3.3 然后就开始用您的方法配置多python环境,但是出现了一个问题,当我执行 python3.3.3 virtualenv.py /home/lchris/pyVE/python3.3.3时,报错没有zlib,然后我在网上查了很多的资料,最后选择sudo apt-get install zlib1g-dev 安装成功后,我又重新编译安装了python3.3.3,再次执行python3.3.3 virtualenv.py /home/lchris/pyVE/python3.3.3还是报没有zlib的错误。 然后又上网找资料,找到了个方法,就是dpkg,这次好不容易没有报错没有找到zlib,现在又报这个错了:Traceback (most recent call last): File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 2308, in <module> main() File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 821, in main symlink=options.symlink) File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 956, in create_environment site_packages=site_packages, clear=clear, symlink=symlink)) File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 1151, in install_python copy_required_modules(home_dir, symlink) File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 1089, in copy_required_modules dst_filename = change_prefix(filename, dst_prefix) File "/home/lchris/下载/virtualenv-1.10.1/virtualenv.py", line 1054, in change_prefix (filename, prefixes) AssertionError: Filename /opt/Python-3.3.3/Lib/os.py does not start with any of these prefixes: ['/usr/local', '/usr/local'] 我就真的没有办法了,真心不知道怎么解决了,求大神解救
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...
【JSON解析】浅谈JSONObject的使用
简介 在程序开发过程中,在参数传递,函数返回值等方面,越来越多的使用JSON。JSON(JavaScript Object Notation)是一种轻量级的数据交换格式,同时也易于机器解析和生成、易于理解、阅读和撰写,而且Json采用完全独立于语言的文本格式,这使得Json成为理想的数据交换语言。 JSON建构于两种结构: “名称/值”对的集合(A Collection of name/va...
《MySQL 性能优化》之理解 MySQL 体系结构
本文介绍 MySQL 的体系结构,包括物理结构、逻辑结构以及插件式存储引擎。
程序员请照顾好自己,周末病魔差点一套带走我。
程序员在一个周末的时间,得了重病,差点当场去世,还好及时挽救回来了。
卸载 x 雷某度!GitHub 标星 1.5w+,从此我只用这款全能高速下载工具!
作者 | Rocky0429 来源 | Python空间 大家好,我是 Rocky0429,一个喜欢在网上收集各种资源的蒟蒻… 网上资源眼花缭乱,下载的方式也同样千奇百怪,比如 BT 下载,磁力链接,网盘资源等等等等,下个资源可真不容易,不一样的方式要用不同的下载软件,因此某比较有名的 x 雷和某度网盘成了我经常使用的工具。 作为一个没有钱的穷鬼,某度网盘几十 kb 的下载速度让我...
只因接了一个电话,程序员被骗 30 万!
今天想给大家说一个刚刚发生在我身边的一起真实的诈骗经历,我的朋友因此被骗走30万。注:为了保护当事人隐私,部分情节进行了修改。1平安夜突来的电话开始以为就像普通的诈骗一样,想办法让你把钱...
我一个37岁的程序员朋友
周末了,人一旦没有点事情干,心里就瞎想,而且跟几个老男人坐在一起,更容易瞎想,我自己现在也是 30 岁了,也是无时无刻在担心自己的职业生涯,担心丢掉工作没有收入,担心身体机能下降,担心突...
python自动下载图片
近日闲来无事,总有一种无形的力量萦绕在朕身边,让朕精神涣散,昏昏欲睡。 可是,像朕这么有职业操守的社畜怎么能在上班期间睡瞌睡呢,我不禁陷入了沉思。。。。 突然旁边的IOS同事问:‘嘿,兄弟,我发现一个网站的图片很有意思啊,能不能帮我保存下来提升我的开发灵感?’ 作为一个坚强的社畜怎么能说自己不行呢,当时朕就不假思索的答应:‘oh, It’s simple. Wait for me for a ...
一名大专同学的四个问题
【前言】   收到一封来信,赶上各种事情拖了几日,利用今天要放下工作的时机,做个回复。   2020年到了,就以这一封信,作为开年标志吧。 【正文】   您好,我是一名现在有很多困惑的大二学生。有一些问题想要向您请教。   先说一下我的基本情况,高考失利,不想复读,来到广州一所大专读计算机应用技术专业。学校是偏艺术类的,计算机专业没有实验室更不用说工作室了。而且学校的学风也不好。但我很想在计算机领...
复习一周,京东+百度一面,不小心都拿了Offer
京东和百度一面都问了啥,面试官百般刁难,可惜我全会。
Java 14 都快来了,为什么还有这么多人固守Java 8?
从Java 9开始,Java版本的发布就让人眼花缭乱了。每隔6个月,都会冒出一个新版本出来,Java 10 , Java 11, Java 12, Java 13, 到2020年3月份,...
达摩院十大科技趋势发布:2020 非同小可!
【CSDN编者按】1月2日,阿里巴巴发布《达摩院2020十大科技趋势》,十大科技趋势分别是:人工智能从感知智能向认知智能演进;计算存储一体化突破AI算力瓶颈;工业互联网的超融合;机器间大规模协作成为可能;模块化降低芯片设计门槛;规模化生产级区块链应用将走入大众;量子计算进入攻坚期;新材料推动半导体器件革新;保护数据隐私的AI技术将加速落地;云成为IT技术创新的中心 。 新的画卷,正在徐徐展开。...
轻松搭建基于 SpringBoot + Vue 的 Web 商城应用
首先介绍下在本文出现的几个比较重要的概念: 函数计算(Function Compute): 函数计算是一个事件驱动的服务,通过函数计算,用户无需管理服务器等运行情况,只需编写代码并上传。函数计算准备计算资源,并以弹性伸缩的方式运行用户代码,而用户只需根据实际代码运行所消耗的资源进行付费。Fun: Fun 是一个用于支持 Serverless 应用部署的工具,能帮助您便捷地管理函数计算、API ...
Python+OpenCV实时图像处理
目录 1、导入库文件 2、设计GUI 3、调用摄像头 4、实时图像处理 4.1、阈值二值化 4.2、边缘检测 4.3、轮廓检测 4.4、高斯滤波 4.5、色彩转换 4.6、调节对比度 5、退出系统 初学OpenCV图像处理的小伙伴肯定对什么高斯函数、滤波处理、阈值二值化等特性非常头疼,这里给各位分享一个小项目,可通过摄像头实时动态查看各类图像处理的特点,也可对各位调参、测试...
2020年一线城市程序员工资大调查
人才需求 一线城市共发布岗位38115个,招聘120827人。 其中 beijing 22805 guangzhou 25081 shanghai 39614 shenzhen 33327 工资分布 2020年中国一线城市程序员的平均工资为16285元,工资中位数为14583元,其中95%的人的工资位于5000到20000元之间。 和往年数据比较: yea...
为什么猝死的都是程序员,基本上不见产品经理猝死呢?
相信大家时不时听到程序员猝死的消息,但是基本上听不到产品经理猝死的消息,这是为什么呢? 我们先百度搜一下:程序员猝死,出现将近700多万条搜索结果: 搜索一下:产品经理猝死,只有400万条的搜索结果,从搜索结果数量上来看,程序员猝死的搜索结果就比产品经理猝死的搜索结果高了一倍,而且从下图可以看到,首页里面的五条搜索结果,其实只有两条才是符合条件。 所以程序员猝死的概率真的比产品经理大,并不是错...
害怕面试被问HashMap?这一篇就搞定了!
声明:本文以jdk1.8为主! 搞定HashMap 作为一个Java从业者,面试的时候肯定会被问到过HashMap,因为对于HashMap来说,可以说是Java集合中的精髓了,如果你觉得自己对它掌握的还不够好,我想今天这篇文章会非常适合你,至少,看了今天这篇文章,以后不怕面试被问HashMap了 其实在我学习HashMap的过程中,我个人觉得HashMap还是挺复杂的,如果真的想把它搞得明明白...
毕业5年,我问遍了身边的大佬,总结了他们的学习方法
我问了身边10个大佬,总结了他们的学习方法,原来成功都是有迹可循的。
推荐10个堪称神器的学习网站
每天都会收到很多读者的私信,问我:“二哥,有什么推荐的学习网站吗?最近很浮躁,手头的一些网站都看烦了,想看看二哥这里有什么新鲜货。” 今天一早做了个恶梦,梦到被老板辞退了。虽然说在我们公司,只有我辞退老板的份,没有老板辞退我这一说,但是还是被吓得 4 点多都起来了。(主要是因为我掌握着公司所有的核心源码,哈哈哈) 既然 4 点多起来,就得好好利用起来。于是我就挑选了 10 个堪称神器的学习网站,推...
这些软件太强了,Windows必装!尤其程序员!
Windows可谓是大多数人的生产力工具,集娱乐办公于一体,虽然在程序员这个群体中都说苹果是信仰,但是大部分不都是从Windows过来的,而且现在依然有很多的程序员用Windows。 所以,今天我就把我私藏的Windows必装的软件分享给大家,如果有一个你没有用过甚至没有听过,那你就赚了????,这可都是提升你幸福感的高效率生产力工具哦! 走起!???? NO、1 ScreenToGif 屏幕,摄像头和白板...
阿里面试,面试官没想到一个ArrayList,我都能跟他扯半小时
我是真的没想到,面试官会这样问我ArrayList。
曾经优秀的人,怎么就突然不优秀了。
职场上有很多辛酸事,很多合伙人出局的故事,很多技术骨干被裁员的故事。说来模板都类似,曾经是名校毕业,曾经是优秀员工,曾经被领导表扬,曾经业绩突出,然而突然有一天,因为种种原因,被裁员了,...
大学四年因为知道了这32个网站,我成了别人眼中的大神!
依稀记得,毕业那天,我们导员发给我毕业证的时候对我说“你可是咱们系的风云人物啊”,哎呀,别提当时多开心啦????,嗯,我们导员是所有导员中最帅的一个,真的???? 不过,导员说的是实话,很多人都叫我大神的,为啥,因为我知道这32个网站啊,你说强不强????,这次是绝对的干货,看好啦,走起来! PS:每个网站都是学计算机混互联网必须知道的,真的牛杯,我就不过多介绍了,大家自行探索,觉得没用的,尽管留言吐槽吧???? 社...
良心推荐,我珍藏的一些Chrome插件
上次搬家的时候,发了一个朋友圈,附带的照片中不小心暴露了自己的 Chrome 浏览器插件之多,于是就有小伙伴评论说分享一下我觉得还不错的浏览器插件。 我下面就把我日常工作和学习中经常用到的一些 Chrome 浏览器插件分享给大家,随便一个都能提高你的“生活品质”和工作效率。 Markdown Here Markdown Here 可以让你更愉快的写邮件,由于支持 Markdown 直接转电子邮...
看完这篇HTTP,跟面试官扯皮就没问题了
我是一名程序员,我的主要编程语言是 Java,我更是一名 Web 开发人员,所以我必须要了解 HTTP,所以本篇文章就来带你从 HTTP 入门到进阶,看完让你有一种恍然大悟、醍醐灌顶的感觉。 最初在有网络之前,我们的电脑都是单机的,单机系统是孤立的,我还记得 05 年前那会儿家里有个电脑,想打电脑游戏还得两个人在一个电脑上玩儿,及其不方便。我就想为什么家里人不让上网,我的同学 xxx 家里有网,每...
史上最全的IDEA快捷键总结
现在Idea成了主流开发工具,这篇博客对其使用的快捷键做了总结,希望对大家的开发工作有所帮助。
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
这种新手都不会范的错,居然被一个工作好几年的小伙子写出来,差点被当场开除了。
谁是华为扫地僧?
是的,华为也有扫地僧!2020年2月11-12日,“养在深闺人不知”的华为2012实验室扫地僧们,将在华为开发者大会2020(Cloud)上,和大家见面。到时,你可以和扫地僧们,吃一个洋...
Idea 中最常用的10款插件(提高开发效率),一定要学会使用!
学习使用一些插件,可以提高开发效率。对于我们开发人员很有帮助。这篇博客介绍了开发中使用的插件。
AI 没让人类失业,搞 AI 的人先失业了
最近和几个 AI 领域的大佬闲聊 根据他们讲的消息和段子 改编出下面这个故事 如有雷同 都是巧合 1. 老王创业失败,被限制高消费 “这里写我跑路的消息实在太夸张了。” 王葱葱哼笑一下,把消息分享给群里。 阿杰也看了消息,笑了笑。在座几位也都笑了。 王葱葱是个有名的人物,21岁那年以全额奖学金进入 KMU 攻读人工智能博士,累计发表论文 40 余篇,个人技术博客更是成为深度学习领域内风向标。 ...
立即提问